# $Revision: 1.7 $, $Date: 2005/01/03 17:56:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Object
%define		pnam	MultiType
Summary:	Object::MultiType - Perl objects as hash, array, scalar, code and glob at the same time
Summary(pl):	Object::MultiType - obiekty perlowe jako hasze, tablice, skalary, kod i globy jednoczenie
Name:		perl-Object-MultiType
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	171ed010dab19fb8b94f22a5fca97814
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module returns an object that works like a Hash, Array, Scalar,
Code and Glob object at the same time.

The usual way is to call it from your module at new().

%description -l pl
Ten modu zwraca obiekt dziaajcy jako hasz, tablica, skalar, kod i
glob jednoczenie. Zwykle wywouje si go przy new().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Object/MultiType.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Object-MultiType.spec,v $
Revision 1.7  2005/01/03 17:56:57  adamg
- updated to 0.05

Revision 1.6  2004/11/03 22:30:38  paladine
- formatting

Revision 1.5  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.4  2004/04/25 00:50:58  ankry
- cosmetics: unification

Revision 1.3  2004/04/15 05:47:56  ankry
- some summary, description and license fixes

Revision 1.2  2004/03/28 17:53:41  qboosh
- pl

Revision 1.1  2004/03/28 14:02:08  migo
- initial revision
